package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 试听课计划
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("demo_group_courses_plan")
public class DemoGroupCoursesPlan extends Model<DemoGroupCoursesPlan> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @TableField("demo_group_id_")
    private Long demoGroupId;
    @TableField("courses_start_time_")
    private Date coursesStartTime;
    @TableField("create_time_")
    private Date createTime;


    public Long getId() {
        return id;
    }

    public DemoGroupCoursesPlan setId(Long id) {
        this.id = id;
        return this;
    }

    public Long getDemoGroupId() {
        return demoGroupId;
    }

    public DemoGroupCoursesPlan setDemoGroupId(Long demoGroupId) {
        this.demoGroupId = demoGroupId;
        return this;
    }

    public Date getCoursesStartTime() {
        return coursesStartTime;
    }

    public DemoGroupCoursesPlan setCoursesStartTime(Date coursesStartTime) {
        this.coursesStartTime = coursesStartTime;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public DemoGroupCoursesPlan setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "DemoGroupCoursesPlan{" +
        ", id=" + id +
        ", demoGroupId=" + demoGroupId +
        ", coursesStartTime=" + coursesStartTime +
        ", createTime=" + createTime +
        "}";
    }
}
